class Breadcrumbs
  @$inject = ['$window']
  constructor: ($window) ->
    @breadcrumbs = []
    path = $window.location.pathname.replace /\.html+$/, ''
    path = path.replace /\/$/, ''
    search = $window.location.search

    queriesPath = localStorage.getItem 'breadcrumbsQueriesPath'
    if not queriesPath
      queriesPath = '/query'

    if path == '/querydef' and not $window.document.querySelector('.error_message')
      localStorage.setItem 'breadcrumbsQueriesPath', '/querydef'

    if path == '/query'
      localStorage.setItem 'breadcrumbsQueriesPath', '/query'

    while path
      segments = path.split('/')
      bName = decodeURI segments.pop()
      bPath = path

      bName = switch bName
        when 'dbdef' then 'Database Definitions'
        when 'userdef' then 'User Definitions'
        when 'querydef' then 'Query Definitions'
        when 'query' then 'Queries'
#        when 'querystudio' then 'Query Studio'
        when 'license' then 'License'
        else bName

      # On segment 'querystudio' we want to redirect to queries list instead of empty query studio form
      if bName == 'querystudio'
        bName = 'Queries'
        bPath = queriesPath

      bPath = bPath + search

      @breadcrumbs.push {name: bName, path: bPath}
      path = segments.join('/')

    @breadcrumbs.push {name: 'SlashDB', path: '/'}
    @breadcrumbs = @breadcrumbs.reverse()

    return null

angular.module 'sdbgui'
.component 'breadcrumbs', {
  templateUrl: '/static/components/sdbgui-breadcrumbs/breadcrumbs.html'
  controller: Breadcrumbs
}
