// Generated by CoffeeScript 2.3.2
(function() {
  angular.module('sdbgui').factory('QueryExecService', [
    '$rootScope',
    '$location',
    'slashDB',
    function($rootScope,
    $location,
    slashdb) {
      var QueryExecService;
      return new (QueryExecService = class QueryExecService {
        constructor() {
          this.queryBasePath = $location.protocol() + '://' + $location.host();
          if ($location.port && $location.port !== 80) {
            this.queryBasePath = this.queryBasePath + ':' + $location.port();
          }
          this.queryBasePath = this.queryBasePath + '/query';
          this.loadMoreVisible = false;
          this.resetQueryOutput();
        }

        resetQueryOutput() {
          return this.queryOutput = {
            columnNames: [],
            data: []
          };
        }

        getExecPath(queryId,
    queryParameters,
    limit,
    offset = 0,
    count,
    format) {
          var key,
    paramName,
    paramValue,
    qs,
    ref,
    url,
    value;
          url = '/' + queryId;
          for (paramName in queryParameters) {
            paramValue = queryParameters[paramName];
            if (paramValue) {
              ref = slashdb.settings.url_substitution;
              for (key in ref) {
                value = ref[key];
                paramValue = paramValue.replace(new RegExp(value,
    'g'),
    key);
              }
            } else {
              paramValue = '';
            }
            url = `${url}/${paramName}/${paramValue}`;
          }
          qs = [];
          if (limit) {
            qs.push(`limit=${limit}`);
          }
          if (offset > 0) {
            qs.push(`offset=${offset}`);
          }
          if (count) {
            qs.push("count");
          }
          qs = qs.join('&');
          if (qs) {
            qs = `?${qs}`;
          }
          url = url + '.' + format + qs;
          return url;
        }

        executeQuery(queryId,
    httpMethod,
    data,
    params,
    headers) {
          var httpSettings,
    url;
          this.resetQueryOutput();
          httpSettings = {
            params: params,
            headers: headers
          };
          if (httpMethod === 'GET' || httpMethod === 'DELETE') {
            // when making GET requests query parameters are passed in url
            url = this.getExecPath(queryId,
    data,
    null,
    null,
    null,
    'json');
            data = null;
          } else {
            url = '/' + queryId + '.json';
          }
          slashdb.executeQuery(url,
    httpMethod,
    data,
    httpSettings).then((response) => {
            if (response.data.length > 0) {
              this.queryOutput.columnNames = JSON.parse(response.headers('columns'));
              this.queryOutput.numericColumns = JSON.parse(response.headers('numeric_columns'));
              this.queryOutput.data = response.data;
              this.loadMoreVisible = true;
            }
            $rootScope.$broadcast('queryExecuted',
    {
              httpResponse: response
            });
          }).catch((response) => {
            this.queryOutput.columnNames = [];
            this.queryOutput.data = [];
            $rootScope.$broadcast('queryExecuted',
    {
              httpResponse: response
            });
          });
        }

      });
    }
  ]);

}).call(this);

//# sourceMappingURL=queryexec.service.js.map
