<%inherit file="/base.mako"/>

<%block name="content">
    <div class="row header">
        <div class="col-xs-4">
            <h1><img class="icon" src="/static/images/blue-files.png" />${query_id}</h1>
        </div>
        <div class="col-xs-4">
            <%include file="/snippets/prev_next.mako" />
        </div>
        <div class="col-xs-4">
            <div class="links btn-group btn-group-xs pull-right">
                %for link in header_links:
                <a href="${link.url}" class="btn ${link.css_class}">${link.value}</a>
                %endfor
            </div>
        </div>
    </div>
    <div class="resource-content">
        <table class="table table-hover table-condensed table-nonfluid">
            <thead>
                <tr>
                    %for attr_name in headers:
                    <th>${attr_name}</th>
                    %endfor
                </tr>
            </thead>
            <tbody>
                %for row in data:
                <tr>
                    %for col in row:
                        <td class="${col.css_class}">${col.value}</td>
                    %endfor
                </tr>
                %endfor
                %if not data:
                    <tr>
                        <td colspan="100%" class="text-center"><strong>Sorry. No resources were found.</strong></td>
                    </tr>
                %endif

            </tbody>
        </table>

    </div>
</%block>
